#ifndef SOCKDEF_H
#define SOCKDEF_H 1

#ifdef _WIN32

#include <winsock.h>

#define HAVE_NETINET_IN_H 1
#define LASTSOCKERR GetLastError()
#define EWOULDBLOCK WSAEWOULDBLOCK
#define EINPROGRESS WSAEINPROGRESS
#define EINTR WSAEINTR
#define MSG_DONTWAIT 0
#define CLOSESOCK(s) closesocket(s)
#define IOCTL(s,c,a) ioctlsocket(s,c, (long *) a)

#else

#ifdef VXW
#include <errno.h>
#else
#include <sys/errno.h>
#endif

#include <sys/socket.h>

#ifdef VXW /* netdb.h is not supported */
#include <rpc/rpcnetdb.h>
#else
#include <netdb.h>
#endif

#include <sys/ioctl.h>

#ifdef VXW 
#ifndef NATIVE_POLL
#include <streams/poll.h>
#endif
#else
#include <sys/poll.h>
#endif

#define LASTSOCKERR errno
#define CLOSESOCK(s) close(s)
#define IOCTL(s,c,a) ioctl(s,c,a)

#ifdef VXW
#define HAVE_NETINET_IN_H 1 /* Needed for htonl */
#endif

#ifdef VXW
#include <net/mbuf.h> /* Needed for DONTWAIT */
#define MSG_DONTWAIT 0 /* We don't have this flag for send() */
#endif

#ifdef HAVE_NETINET_IN_H
#  include <netinet/in.h>
#endif

#ifdef HAVE_SYS_UN_H
#  include <sys/un.h>
#endif

#define SOCKET int
#define INVALID_SOCKET -1
#define SOCKET_ERROR -1

#ifdef VXW
#include <sockLib.h> /* Needed for recv(), send() */
#endif

#endif



#endif



